## gst-plugins-bad1.0 1.22.0

=== meson_options.txt ===
option('gst_play_tests', type: 'boolean', value: false,
       description: 'Enable GstPlay tests that need network access')

# Feature options for plugins without external deps
option('accurip', type : 'feature', value : 'auto')
option('adpcmdec', type : 'feature', value : 'auto')
option('adpcmenc', type : 'feature', value : 'auto')
option('aiff', type : 'feature', value : 'auto')
option('asfmux', type : 'feature', value : 'auto')
option('audiobuffersplit', type : 'feature', value : 'auto')
option('audiofxbad', type : 'feature', value : 'auto')
option('audiolatency', type : 'feature', value : 'auto')
option('audiomixmatrix', type : 'feature', value : 'auto')
option('audiovisualizers', type : 'feature', value : 'auto')
option('autoconvert', type : 'feature', value : 'auto')
option('bayer', type : 'feature', value : 'auto')
option('camerabin2', type : 'feature', value : 'auto')
option('codecalpha', type : 'feature', value : 'auto')
option('codectimestamper', type : 'feature', value : 'auto')
option('coloreffects', type : 'feature', value : 'auto')
option('debugutils', type : 'feature', value : 'auto')
option('dvbsubenc', type : 'feature', value : 'auto')
option('dvbsuboverlay', type : 'feature', value : 'auto')
option('dvdspu', type : 'feature', value : 'auto')
option('faceoverlay', type : 'feature', value : 'auto')
option('festival', type : 'feature', value : 'auto')
option('fieldanalysis', type : 'feature', value : 'auto')
option('freeverb', type : 'feature', value : 'auto')
option('frei0r', type : 'feature', value : 'auto')
option('gaudieffects', type : 'feature', value : 'auto')
option('gdp', type : 'feature', value : 'auto')
option('geometrictransform', type : 'feature', value : 'auto')
option('id3tag', type : 'feature', value : 'auto')
option('inter', type : 'feature', value : 'auto')
option('interlace', type : 'feature', value : 'auto')
option('ivfparse', type : 'feature', value : 'auto')
option('ivtc', type : 'feature', value : 'auto')
option('jp2kdecimator', type : 'feature', value : 'auto')
option('jpegformat', type : 'feature', value : 'auto')
option('librfb', type : 'feature', value : 'auto')
option('midi', type : 'feature', value : 'auto')
option('mpegdemux', type : 'feature', value : 'auto')
option('mpegpsmux', type : 'feature', value : 'auto')
option('mpegtsdemux', type : 'feature', value : 'auto')
option('mpegtsmux', type : 'feature', value : 'auto')
option('mxf', type : 'feature', value : 'auto')
option('netsim', type : 'feature', value : 'auto')
option('onvif', type : 'feature', value : 'auto')
option('pcapparse', type : 'feature', value : 'auto')
option('pnm', type : 'feature', value : 'auto')
option('proxy', type : 'feature', value : 'auto')
option('rawparse', type : 'feature', value : 'auto')
option('removesilence', type : 'feature', value : 'auto')
option('rist', type : 'feature', value : 'auto')
option('rtmp2', type : 'feature', value : 'auto')
option('rtp', type : 'feature', value : 'auto')
option('sdp', type : 'feature', value : 'auto')
option('segmentclip', type : 'feature', value : 'auto')
option('siren', type : 'feature', value : 'auto')
option('smooth', type : 'feature', value : 'auto')
option('speed', type : 'feature', value : 'auto')
option('subenc', type : 'feature', value : 'auto')
option('switchbin', type : 'feature', value : 'auto')
option('timecode', type : 'feature', value : 'auto')
option('videofilters', type : 'feature', value : 'auto')
option('videoframe_audiolevel', type : 'feature', value : 'auto')
option('videoparsers', type : 'feature', value : 'auto')
option('videosignal', type : 'feature', value : 'auto')
option('vmnc', type : 'feature', value : 'auto')
option('y4m', type : 'feature', value : 'auto')

# Feature options for libraries that need external deps
option('opencv', type : 'feature', value : 'auto', description : 'OpenCV computer vision library support')

# Feature options for optional deps in plugins
option('wayland', type : 'feature', value : 'auto', description : 'Wayland plugin/library, support in the Vulkan plugin')
option('x11', type : 'feature', value : 'auto', description : 'X11 support in Vulkan, GL and rfb plugins')

# Feature options for plugins that need external deps
option('aes', type : 'feature', value : 'auto', description : 'AES encryption/decryption plugin')
option('aom', type : 'feature', value : 'auto', description : 'AOM AV1 video codec plugin')
option('avtp', type : 'feature', value : 'auto', description : 'Audio/Video Transport Protocol (AVTP) plugin')
option('amfcodec', type : 'feature', value : 'auto', description : 'AMD AMF codec plugin')
option('androidmedia', type : 'feature', value : 'auto', description : 'Video capture and codec plugins for Android')
option('applemedia', type : 'feature', value : 'auto', description : 'Video capture and codec access plugins for macOS and iOS')
option('asio', type : 'feature', value : 'auto', description : 'Steinberg Audio Streaming Input Output (ASIO) plugin')
option('asio-sdk-path', type : 'string', value : '', description : 'Full path to Steinberg Audio Streaming Input Output (ASIO) SDK')
option('assrender', type : 'feature', value : 'auto', description : 'ASS/SSA subtitle renderer plugin')
option('bluez', type : 'feature', value : 'auto', description : 'Bluetooth audio A2DP/AVDTP sink, AVDTP source plugin')
option('bs2b', type : 'feature', value : 'auto', description : 'Bauer stereophonic-to-binaural audio plugin')
option('bz2', type : 'feature', value : 'auto', description : 'bz2 stream encoder and decoder plugin')
option('chromaprint', type : 'feature', value : 'auto', description : 'Chromaprint fingerprint audio plugin')
option('closedcaption', type : 'feature', value : 'auto', description : 'Closed caption extractor, decoder, and overlay plugin')
option('colormanagement', type : 'feature', value : 'auto', description : 'Color management correction plugin')
option('curl', type : 'feature', value : 'auto', description : 'cURL network source and sink plugin')
option('curl-ssh2', type : 'feature', value : 'auto', description : 'cURL network source and sink plugin libssh2 support')
option('d3dvideosink', type : 'feature', value : 'auto', description : 'Direct3D video sink plugin')
option('d3d11', type : 'feature', value : 'auto', description : 'Direct3D11 plugin')
option('dash', type : 'feature', value : 'auto', description : 'DASH demuxer plugin')
option('dc1394', type : 'feature', value : 'auto', description : 'libdc1394 IIDC camera source plugin')
option('decklink', type : 'feature', value : 'auto', description : 'DeckLink audio/video source/sink plugin')
option('directfb', type : 'feature', value : 'auto', description : 'DirectFB video sink plugin')
option('directsound', type : 'feature', value : 'auto', description : 'Directsound audio source plugin')
option('directshow', type : 'feature', value : 'auto', description : 'Directshow audio/video plugins')
option('dtls', type : 'feature', value : 'auto', description : 'DTLS encoder and decoder plugin')
option('dts', type : 'feature', value : 'auto', description : 'DTS audio decoder plugin (GPL - only built if gpl option is also enabled!)')
option('dvb', type : 'feature', value : 'auto', description : 'DVB video bin and source plugin')
option('faac', type : 'feature', value : 'auto', description : 'Free AAC audio encoder plugin')
option('faad', type : 'feature', value : 'auto', description : 'Free AAC audio decoder plugin (GPL - only built if gpl option is also enabled!)')
option('fbdev', type : 'feature', value : 'auto', description : 'Framebuffer video sink plugin')
option('fdkaac', type : 'feature', value : 'auto', description : 'Fraunhofer AAC audio codec plugin')
option('flite', type : 'feature', value : 'auto', description : 'Flite speech synthesizer source plugin')
option('fluidsynth', type : 'feature', value : 'auto', description : 'Fluidsynth MIDI decoder plugin')
option('gl', type : 'feature', value : 'auto', description : 'GStreamer OpenGL integration support (used by various plugins)')
option('gme', type : 'feature', value : 'auto', description : 'libgme gaming console music file decoder plugin')
option('gs', type : 'feature', value : 'auto', description : 'Google Cloud Storage source and sink plugin')
option('gsm', type : 'feature', value : 'auto', description : 'GSM encoder/decoder plugin')
option('gtk3', type : 'feature', value : 'auto', description : 'GTK+ video sink plugin')
option('ipcpipeline', type : 'feature', value : 'auto', description : 'Inter-process communication plugin')
option('iqa', type : 'feature', value : 'auto', description : 'Image quality assessment plugin (AGPL - only built if gpl option is also enabled!)')
option('kate', type : 'feature', value : 'auto', description : 'Kate subtitle parser, tagger, and codec plugin')
option('kms', type : 'feature', value : 'auto', description : 'KMS video sink plugin')
option('ladspa', type : 'feature', value : 'auto', description : 'LADSPA plugin bridge')
option('ldac', type : 'feature', value : 'auto', description : 'LDAC bluetooth audio codec plugin')
option('libde265', type : 'feature', value : 'auto', description : 'HEVC/H.265 video decoder plugin')
option('openaptx', type : 'feature', value : 'auto', description : 'Open Source implementation of Audio Processing Technology codec (aptX) plugin')
option('lv2', type : 'feature', value : 'auto', description : 'LV2 audio plugin bridge')
option('mediafoundation', type : 'feature', value : 'auto', description : 'Microsoft Media Foundation plugin')
option('microdns', type : 'feature', value : 'auto', description : 'libmicrodns-based device provider')
option('modplug', type : 'feature', value : 'auto', description : 'ModPlug audio decoder plugin')
option('mpeg2enc', type : 'feature', value : 'auto', description : 'mpeg2enc video encoder plugin (GPL - only built if gpl option is also enabled!)')
option('mplex', type : 'feature', value : 'auto', description : 'mplex audio/video multiplexer plugin (GPL - only built if gpl option is also enabled!)')
option('msdk', type : 'feature', value : 'auto', description : 'Intel Media SDK video encoder/decoder plugin')
option('musepack', type : 'feature', value : 'auto', description : 'libmpcdec Musepack decoder plugin')
option('neon', type : 'feature', value : 'auto', description : 'NEON HTTP source plugin')
option('nvcodec', type : 'feature', value : 'auto', description : 'NVIDIA GPU codec plugin')
option('onnx', type : 'feature', value : 'auto', description : 'ONNX neural network plugin')
option('openal', type : 'feature', value : 'auto', description : 'OpenAL plugin')
option('openexr', type : 'feature', value : 'auto', description : 'OpenEXR plugin')
option('openh264', type : 'feature', value : 'auto', description : 'H.264 video codec plugin')
option('openjpeg', type : 'feature', value : 'auto', description : 'JPEG2000 image codec plugin')
option('openmpt', type : 'feature', value : 'auto', description : 'OpenMPT module music library plugin')
option('openni2', type : 'feature', value : 'auto', description : 'OpenNI2 library plugin')
option('opensles', type : 'feature', value : 'auto', description : 'OpenSL ES audio source/sink plugin')
option('opus', type : 'feature', value : 'auto', description : 'OPUS audio parser plugin')
option('qroverlay', type : 'feature', value : 'auto', description : 'Element to set random data on a qroverlay')
option('qsv', type : 'feature', value : 'auto', description : 'Intel Quick Sync Video plugin')
option('resindvd', type : 'feature', value : 'auto', description : 'Resin DVD playback plugin (GPL - only built if gpl option is also enabled!)')
option('rsvg', type : 'feature', value : 'auto', description : 'SVG overlayer and image decoder plugin')
option('rtmp', type : 'feature', value : 'auto', description : 'RTMP video network source and sink plugin')
option('sbc', type : 'feature', value : 'auto', description : 'SBC bluetooth audio codec plugin')

=== debian/changelog ===
gst-plugins-bad1.0 (1.22.0-4+deb12u6) bookworm-security; urgency=medium

  * CVE-2025-3887 (Closes: #1106285)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 07 Jun 2025 20:21:59 +0200

gst-plugins-bad1.0 (1.22.0-4+deb12u5) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * av1parser: Fix potential stack overflow during tile list parsing
    (CVE-2024-0444)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 27 Jan 2024 07:41:55 +0100

gst-plugins-bad1.0 (1.22.0-4+deb12u4) bookworm-security; urgency=medium

  * GST-2023-0011

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 21 Dec 2023 00:04:36 +0100

gst-plugins-bad1.0 (1.22.0-4+deb12u3) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * codecparsers: av1: Clip max tile rows and cols values (CVE-2023-44429)
    (Closes: #1056102)
  * mxfdemux: Store GstMXFDemuxEssenceTrack in their own fixed allocation
    (CVE-2023-44446) (Closes: #1056101)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 Nov 2023 22:47:49 +0100

gst-plugins-bad1.0 (1.22.0-4+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * h265parser: Fix possible overflow using max_sub_layers_minus1
    (CVE-2023-40476) (Closes: #1053259)
  * mxfdemux: Fix integer overflow causing out of bounds writes when handling
    invalid uncompressed video (CVE-2023-40474) (Closes: #1053261)
  * mxfdemux: Check number of channels for AES3 audio (CVE-2023-40475)
    (Closes: #1053260)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Oct 2023 21:51:02 +0200

gst-plugins-bad1.0 (1.22.0-4+deb12u1) bookworm-security; urgency=medium

  * GST-2023-0003

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 29 Jun 2023 19:32:41 +0200

gst-plugins-bad1.0 (1.22.0-4) unstable; urgency=medium

  * Team upload
  * debian/rules: Disable vulkan on non-linux architectures
  * Disable zxing element on architectures where opencv doesn't build

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Feb 2023 23:59:59 +0100

gst-plugins-bad1.0 (1.22.0-3) unstable; urgency=medium

  * The new Intel Quick Sync Video plugin is amd64-only
    so only enable it there
  * Bump minimum libzxingcore-dev to 1.4.0
  * Enable wpe on all non-Linux architectures
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 14:23:11 -0500

gst-plugins-bad1.0 (1.22.0-2) experimental; urgency=medium

  * Disable Intel Quick Sync Video plugin (there is a build issue with it)
  * Adjust some other configure & install rules

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 11:51:52 -0500

gst-plugins-bad1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Set -Dauto_features=enabled
    and explicitly disable several things that aren't buildable in Debian
  * Build-Depend on glslc, gstreamer1.0-tools, libdirectfb-dev, liblrdf0-dev,
    libneon27-dev, libvulkan-dev, & libxkbcommon-x11-dev
  * debian/control: Bump minimum gstreamer, glib, libnice, and meson
  * Update debian/libgstreamer-plugins-bad1.0-0.install
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 17:50:14 -0500

=== debian/control ===
Source: gst-plugins-bad1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-dev (>= 1.15.1),
               pkg-config (>= 0.11.0),
               meson (>= 0.62),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.68),
               libgstreamer1.0-dev (>= 1.22.0),
               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
               glslc,
               gstreamer1.0-plugins-base (>= 1.22.0),
               gstreamer1.0-plugins-good (>= 1.22.0),
               gstreamer1.0-tools,
               flite-dev,
               ladspa-sdk,
               libaom-dev,
               libass-dev (>= 0.10.4),
               libbs2b-dev (>= 3.1.0),
               libbz2-dev,
               libcairo2-dev,
               libchromaprint-dev,
               libcurl4-gnutls-dev (>= 7.55.0),
               libssh2-1-dev (>= 1.4.3),
               libdca-dev,
               libde265-dev (>= 0.9),
               libdirectfb-dev,
               libdvdnav-dev (>= 4.1.2) [!hurd-any],
               libexempi-dev,
               libexif-dev (>= 0.6.16),
               libfaad-dev (>= 2.7),
               libfluidsynth-dev (>= 1.0),
               libgme-dev,
               libgnutls28-dev (>= 2.11.3),
               libgsm1-dev,
               libgtk-3-dev (>= 3.15.0),
               libiptcdata0-dev (>= 1.0.2),
               libkate-dev (>= 0.1.7),
               liblcms2-dev (>= 2.7),
               liblilv-dev (>= 0.22),
               liblrdf0-dev,
               libmjpegtools-dev (>= 2.0.0),
               libmodplug-dev,
               libmpcdec-dev,
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libltc-dev (>= 1.1.4),
               libneon27-dev,
               libnice-dev (>= 0.1.20),
               libopenal-dev (>= 1:1.14),
               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
               libwpebackend-fdo-1.0-dev (>= 1.8.0) [linux-any],
               libwpewebkit-1.1-dev (>= 2.28.0) [linux-any],
               libopenexr-dev,
               libopenh264-dev (>= 1.3.0),
               libopenjp2-7-dev (>= 2.2),
               libopenmpt-dev,
               libopus-dev (>= 0.9.4),
               libfreeaptx-dev (>= 0.1.1),
               libopenni2-dev (>= 0.26) [linux-any],
               liborc-0.4-dev (>= 1:0.4.24),
               libpango1.0-dev (>= 1.22),
               libpng-dev,
               libqrencode-dev,
               libjson-glib-dev,
               librsvg2-dev (>= 2.36.2),
               librtmp-dev,
               libsndfile1-dev (>= 1.0.16),
               libsoundtouch-dev (>= 1.5.0),
               libspandsp-dev (>= 0.0.6),
               libsrt-gnutls-dev,
               libsrtp2-dev (>= 2.1),
               libssl-dev (>= 1.1),
               libvo-aacenc-dev,
               libvo-amrwbenc-dev,
               libvulkan-dev [linux-any],
               libwebp-dev (>= 0.2.1),
               libwebrtc-audio-processing-dev (>= 0.2),
               libwildmidi-dev (>= 0.4.2),
               libx11-dev,
               libx11-xcb-dev,
               libx265-dev,
               libxkbcommon-x11-dev,
               libxml2-dev (>= 2.8),
               libxvidcore-dev,
               libzbar-dev (>= 0.9),
               libzvbi-dev,
               nettle-dev (>= 3),
               libasound2-dev (>= 0.9.1) [linux-any],
               libdc1394-dev (>= 2.2.5) [linux-any],
               libgudev-1.0-dev (>= 143) [linux-any],
               libusb-1.0-0-dev [linux-any],
               libbluetooth-dev (>= 5) [linux-any],
               libsbc-dev (>= 1.1) [linux-any],
               libwayland-dev (>= 1.11.0) [linux-any],
               libdrm-dev (>= 2.4.98) [linux-any],
               libva-dev (>= 1.8) [linux-any],
               libzxingcore-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
               wayland-protocols (>= 1.4) [linux-any],
               libmfx-dev [amd64],
               libgirepository1.0-dev (>= 0.9.12-4~),
               gir1.2-freedesktop,
               gir1.2-glib-2.0,
               gir1.2-gst-plugins-base-1.0,
               gir1.2-gstreamer-1.0
Build-Conflicts: libopenaptx-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-bad-apps
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         gstreamer1.0-plugins-bad (= ${binary:Version})
Conflicts: pitivi (<< 0.9999)
Description: GStreamer helper programs from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains helper programs from the "bad" set, a set of
 plug-ins that aren't up to par compared to the rest. They might be
 close to being good quality, but they're missing something - be it a
 good code review, some documentation, a set of tests, a real live
 maintainer, or some actual wide use.

Package: gstreamer1.0-plugins-bad
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base (>= 1.22.0),
         gstreamer1.0-plugins-good (>= 1.22.0),
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
Provides: gstreamer1.0-plugins-bad-videoparsers,
          gstreamer1.0-plugins-bad-faad,
          ${gstreamer:Provides}
Suggests: frei0r-plugins
Conflicts: gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
           gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Replaces: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2),
          gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
          gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Breaks: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer1.0-opencv
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         libgstreamer-opencv1.0-0 (= ${binary:Version}),
Conflicts: gstreamer1.0-plugins-bad (<< 1.17.2~)
Replaces: gstreamer1.0-plugins-bad (<< 1.17.2~)
Recommends: opencv-data
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer OpenCV plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the OpenCV plugins.

Package: gstreamer1.0-wpe
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
Description: GStreamer WPEWebKit plugin
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the WPEWebKit plugin.

Package: libgstreamer-plugins-bad1.0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: pitivi (<< 0.9999)
Description: GStreamer libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries from the "bad" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-opencv1.0-0
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Description: GStreamer OpenCV libraries
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Bad Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-bad1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-bad1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-bad1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dauto_features=enabled -Ddoc=disabled -Dgpl=enabled
# Not available in Debian yet
conf_flags += -Davtp=disabled -Dfaac=disabled -Dgs=disabled -Diqa=disabled -Disac=disabled -Dmagicleap=disabled
conf_flags += -Dmicrodns=disabled -Donnx=disabled -Dopensles=disabled -Dsvthevcenc=disabled -Dtinyalsa=disabled
# Only available on Windows
conf_flags += -Damfcodec=disabled -Ddirectshow=disabled -Dwasapi=disabled -Dwasapi2=disabled
# In non-free currently
conf_flags += -Dfdkaac=disabled

ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64))
conf_flags += -Dopencv=disabled -Dzxing=disabled
endif

ifneq ($(DEB_HOST_ARCH_ENDIAN),little)
conf_flags += -Dldac=disabled
endif

ifneq ($(DEB_HOST_ARCH),amd64)
conf_flags += -Dmsdk=disabled -Dqsv=disabled
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
conf_flags += -Dbluez=disabled -Ddc1394=disabled -Dfbdev=disabled -Dsbc=disabled
conf_flags += -Dva=disabled -Dv4l2codecs=disabled -Dwpe=disabled -Duvch264=disabled
conf_flags += -Dvulkan=disabled
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
conf_flags += -Dresindvd=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

override_dh_makeshlibs:
	dh_makeshlibs -plibgstreamer-plugins-bad1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-plugins-bad1.0-0 (>= $(gst_version))' -- -c4
	dh_makeshlibs -plibgstreamer-opencv1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-opencv1.0-0 (>= $(gst_version))' -- -c4

execute_after_dh_install:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdvb.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstfbdevsink.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdc1394.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdecklink.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstuvch264.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstbluez.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstsbc.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstwaylandsink.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstwayland-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstkms.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstcuda-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvulkan.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstvulkan-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstva.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstva-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstv4l2codecs.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenni2.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstsctp.so
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstmsdk.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstqsv.so
endif
endif

ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstresindvd.so
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64))
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstzxing.so
endif

ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstldac.so
endif

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-bad1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):debian/libgstreamer-opencv1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
	    dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-plugins-bad1.0 1.22.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.22.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian (LP: #2015129). Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev, glslc, libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2023 10:00:40 -0400

gst-plugins-bad1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream bugfix release

  [ Laurent Bigonville ]
  * debian/rules: Explicitly disable wayland on non-linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Tue, 28 Feb 2023 15:18:04 +0100

gst-plugins-bad1.0 (1.22.0-3ubuntu2) lunar; urgency=medium

  * Fix unsatisfiable dependency on i386

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Feb 2023 08:32:23 -0500

gst-plugins-bad1.0 (1.22.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev, glslc, libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 17:25:29 -0500

gst-plugins-bad1.0 (1.20.5-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/rules, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 14:37:44 -0500

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,16 @@
 GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-bad1.0"
 endif
 
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+NO_I386_ARGS = -Ngstreamer1.0-opencv -Nlibgstreamer-opencv1.0-0
+
+override_dh_builddeb:
+	dh_builddeb $(NO_I386_ARGS)
+
+override_dh_gencontrol:
+	dh_gencontrol $(NO_I386_ARGS)
+endif
+
 conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
 conf_flags += -Dauto_features=enabled -Ddoc=disabled -Dgpl=enabled
 # Not available in Debian yet
@@ -39,7 +49,7 @@
 # In non-free currently
 conf_flags += -Dfdkaac=disabled
 
-ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64))
+ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64))
 conf_flags += -Dopencv=disabled -Dzxing=disabled
 endif
 
@@ -54,11 +64,22 @@
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 conf_flags += -Dbluez=disabled -Ddc1394=disabled -Dfbdev=disabled -Dsbc=disabled
 conf_flags += -Dva=disabled -Dv4l2codecs=disabled -Dwpe=disabled -Duvch264=disabled
-conf_flags += -Dvulkan=disabled
+conf_flags += -Dvulkan=disabled -Dwayland=disabled
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 conf_flags += -Dresindvd=disabled
+endif
+
+# Ubuntu doesn't have wpewebkit
+ifeq ($(DISTRO),"Ubuntu")
+conf_flags += -Dwpe=disabled
+endif
+
+# Not available on Ubuntu i386 currently
+ifeq ($(DEB_HOST_ARCH),i386)
+conf_flags += -Ddirectfb=disabled -Dladspa=disabled -Dneon=disabled -Dopenaptx=disabled -Dopenh264=disabled \
+              -Dopenni2=disabled -Dqroverlay=disabled -Dvulkan=disabled
 endif
 
 %:
@@ -82,7 +103,15 @@
 	dh_makeshlibs -plibgstreamer-plugins-bad1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-plugins-bad1.0-0 (>= $(gst_version))' -- -c4
 	dh_makeshlibs -plibgstreamer-opencv1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-opencv1.0-0 (>= $(gst_version))' -- -c4
 
-execute_after_dh_install:
+override_dh_install:
+	rm -rv $(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/basecamerabinsrc \
+		$(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/interfaces/photography* \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstbasecamerabinsrc* \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstphotography* \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstjpegformat.so \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstcamerabin.so
+
+	dh_install $(NO_I386_ARGS)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdvb.so
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstfbdevsink.so
@@ -95,12 +124,20 @@
 	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstwayland-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstkms.so
 	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstcuda-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
-	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvulkan.so
-	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstvulkan-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstva.so
 	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstva-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstv4l2codecs.so
+ifneq ($(DEB_HOST_ARCH),i386)
+	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvulkan.so
+	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstvulkan-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdirectfb.so
+	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstladspa.so
+	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstneonhttpsrc.so
+	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenaptx.so
+	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenh264.so
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenni2.so
+	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstqroverlay.so
+endif
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstsctp.so
 ifeq ($(DEB_HOST_ARCH),amd64)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstmsdk.so
@@ -112,7 +149,7 @@
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstresindvd.so
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64))
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64))
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstzxing.so
 endif
